1.0
1.0
post /v1/transit-gateways/{transit_gateway_id}/routing-rules
Description
Transit Gateway 규칙 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| body | body required | TransitGatewayRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayRuleShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"destination_cidr": "",
"destination_type": "VPC",
"tgw_connection_vpc_id": ""
}
Example HTTP response
Response 202
{
"transit_gateway_rule": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"destination_cidr": "",
"destination_resource_id": "",
"destination_resource_name": "",
"destination_type": "VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_resource_id": "",
"source_resource_name": "",
"source_type": "VPC",
"state": "CREATING",
"tgw_connection_vpc_id": "",
"tgw_connection_vpc_name": ""
}
}